import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增名师
    addCourseTeacher(data) {
        return request({
            url: '/course/teacher',
            method: 'post',
            data
        })
    },
    //修改名师
    editCourseTeacher(data) {
        return request({
            url: '/course/teacher/edit',
            method: 'post',
            data
        })
    },
    //查询名师列表
    inquireCourseTeacher(data) {
        return request({
            url: '/course/teacher/list',
            method: 'get',
            params: data
        })
    },
    //获取名师详细信息
    obtainCourseTeacher(data) {
        return request({
            url: `/course/teacher/${data}`,
            method: 'get',
        })
    },
}